org.apache.cassandra.exceptions

## Interface TransportException

- All Known Implementing Classes:
    AlreadyExistsException, AuthenticationException, CassandraException, ConfigurationException, FunctionExecutionException, InvalidRequestException, IsBootstrappingException, KeyspaceNotDefinedException, OverloadedException, PreparedQueryNotFoundException, ProtocolException, ReadFailureException, ReadTimeoutException, RequestExecutionException, RequestFailureException, RequestTimeoutException, RequestValidationException, ServerError, SyntaxException, TruncateException, UnauthorizedException, UnavailableException, UnrecognizedEntityException, WriteFailureException, WriteTimeoutException

      public interface TransportException

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExceptionCode` | `code()` The exception code.
    `java.lang.String` | `getMessage()` The exception message.

- - ### Method Detail

    - #### code

          ExceptionCode code()

      The exception code.

    - #### getMessage

          java.lang.String getMessage()

      The exception message.

Copyright © 2018 The Apache Software Foundation